<?php

//	Get the current user
$user = wp_get_current_user();

//	If the profile was just saved, save the incoming data
if ( 	'POST' == $_SERVER['REQUEST_METHOD']
		&& !empty( $_POST['action'] )
		&& $_POST['action'] == 'update-tallyopia-settings' ) {

		//	Update the usermeta here
		$new_customer_id = $_REQUEST['tallyopia_customer_id'];
		$new_customer_id = trim($new_customer_id);
		update_user_meta($user->ID,'tallyopia_customer_id',$new_customer_id);


		echo ('<center><h3>Changes Saved</h3></center>');
}


//	Get customer_id
$customer_id = 	esc_attr( get_the_author_meta( 'tallyopia_customer_id',$user->ID));
if (strlen($customer_id)<1) {$customer_id = 'None entered';}

//	Get all the blogs if this is a multisite setup
$allURLs = array();
global $wpdb;
if (is_multisite()) {
	$query = "SELECT * FROM {$wpdb->blogs}";
	$queryResults = $wpdb->get_results( $query, ARRAY_A );
	foreach ($queryResults as $item) {
		$allURLs []= $item['domain'];
	}
	sort($allURLs);
}

?>
<a name='tallyopia-setup'>
	<h3>Tallyopia Setup</h3>
</a>
<form method="post" action="<?php the_permalink(); ?>">
	<table class='form-table'>
		<tr>
			<th><label for='customer_id'>Customer ID</label></th>
			<td>
				<span style="font-family:monospace;"><?php echo $customer_id; ?></span><br/>
				<span class='description'>
					Your customer ID can be found in your Tallyopia.com	profile.<br/>
					Keep this value private; do not share it with anyone else.<br/>
					Customer ID is used by advanced features such as the Tallyopia NOC Reports.
				</span>
				<br/><br/>
				<span style="font-family:monospace;">
					Change Customer ID:
					<input size="35" name='tallyopia_customer_id' id='tallyopia_customer_id' value='<?php echo $customer_id; ?>'></input><br />
				</span>

			</td>
		</tr>

		<?php
			if (is_multisite()) {
		?>
		<tr>
			<th><label for='websites'>Websites</label></th>
			<td>

					<div style="float:left;padding: 6px;">
						<textarea cols="35" rows="10" name='tallyopia_new_websites' id='tallyopia_new_websites'><?php echo (implode("\n",$allURLs));?></textarea>
						<!--
						<br clear='all' />
						<input type='button' onclick="UpdateWebsites();return true;" value='Update Websites' style='width:17em;' />
						 -->
					</div>

					<div style="float:left; width:415px;">
						<span class='description'>
							<p>
							This is a list of websites found on this Multisite installation.
							</p>
							<p>
							To register these sites:
							<ol>
								<li>Copy the list after making any desired modifications.</li>
								<li>Login to your Tallyopia.com account.</li>
								<li>Paste these values into the "Websites" section of your profile.</li>
								<li>Save the changes.</li>
							</ol>
							</p>
						</span>
					</div>
			</td>
		</tr>
		<?php
		}

		?>

	</table>

	<p class="submit">
		<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
	</p>

	<input name="action" type="hidden" id="action" value="update-tallyopia-settings" />
</form>

<script type='text/javascript'>

function UpdateWebsites() {
	var textAreaValue = jQuery('textarea#tallyopia_new_websites').val();
	//	Explode on newlines
	var lines = textAreaValue.split("\n");
	var linesToKeep = [];
	for (var i=0; i < lines.length; i++) {
		var item = lines[i];
			item = jQuery.trim(item);
		if (item.length<3) {continue;}
		linesToKeep.push(item)
	}
	console.log(linesToKeep);
}


</script>